=== debian/changelog ===
libqoauth (1.0.1-1) unstable; urgency=low

  * Initial release 

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon,  4 Oct 2010 17:01:20 -0400
