=== debian/control ===
Source: libqoauth
Section: libs
Priority: optional
Homepage: http://wiki.github.com/ayoy/qoauth/
Maintainer: Mikhail Ramalho <mikhail.ramalho@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqca2-dev, libssl-dev, libqca2-plugin-ossl
Standards-Version: 3.7.2
Origin: Maintainer

Package: libqoauth
Architecture: armel
Depends: libqca2, libqca2-plugin-ossl
Description: Qt-based client implementation of the OAuth authorization scheme
 QOAuth is a Qt-based C++ implementation of an interface to services
 using the OAuth authorization scheme.
 .
 OAuth is described in detail at http://oauth.net/
 .
 This package contains the headers required for building programs that
 use QOauth.
