## libqoauth 1.0.1-2

=== debian/changelog ===
libqoauth (1.0.1-2) unstable; urgency=low

  * Fixed copyright and removed some garbage from the source code.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Tue,  5 Oct 2010 09:33:41 -0400
