## libqoauth 1.0.1-3

=== debian/changelog ===
libqoauth (1.0.1-3) unstable; urgency=low

  * Repackaged for PR1.3

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Tue, 26 Oct 2010 15:09:30 -0400
