=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: libqoauth
 Architecture: armel
-Depends: libqca2, libqca2-plugin-ossl
+Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0)
 Description: Qt-based client implementation of the OAuth authorization scheme
  QOAuth is a Qt-based C++ implementation of an interface to services
  using the OAuth authorization scheme.
