## libqoauth 1.0.1-4

=== debian/changelog ===
libqoauth (1.0.1-4) unstable; urgency=low

  * Created -dev package.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri,  5 Nov 2010 19:10:29 -0400
