=== debian/control ===
--- 
+++ 
@@ -18,3 +18,15 @@
  .
  This package contains the headers required for building programs that
  use QOauth.
+
+Package: libqoauth-dev
+Architecture: armel
+Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0), libqoauth (>= 1.0.1)
+Description: Qt-based client implementation of the OAuth authorization scheme
+ QOAuth is a Qt-based C++ implementation of an interface to services
+ using the OAuth authorization scheme.
+ .
+ OAuth is described in detail at http://oauth.net/
+ .
+ This package contains the headers required for building programs that
+ use QOauth.
