## libqoauth 1.0.1-5

=== debian/changelog ===
libqoauth (1.0.1-5) unstable; urgency=low

  * Added support for i386.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri,  5 Nov 2010 21:41:40 -0400
