=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Origin: Maintainer
 
 Package: libqoauth
-Architecture: armel
+Architecture: any
 Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0)
 Description: Qt-based client implementation of the OAuth authorization scheme
  QOAuth is a Qt-based C++ implementation of an interface to services
@@ -20,7 +20,7 @@
  use QOauth.
 
 Package: libqoauth-dev
-Architecture: armel
+Architecture: any
 Depends: libqca2 (>= 2.0.2-1), libqca2-plugin-ossl (>= 2.0.0), libqoauth (>= 1.0.1)
 Description: Qt-based client implementation of the OAuth authorization scheme
  QOAuth is a Qt-based C++ implementation of an interface to services
