=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
-APPNAME := libqoauth
 builddir:
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake-qt4  PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake-qt4  PREFIX=/usr ../libqoauth.pro
 
 build: build-stamp
 
@@ -29,7 +28,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/your_appname
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -42,10 +41,12 @@
 	dh_installchangelogs
 	dh_installexamples
 	dh_installman
+	dh_install --sourcedir=$(CURDIR)/debian/tmp --autodest
 	dh_link
 	dh_strip 
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
